Infra APIDomains
Link custom domain to a target
Attaches a registered domain to either a serverless function (function_id) or a VM service (vm_id + vm_port). The domain must not already be linked; unlink first.
POST
/api/v1/domains/{domain}/linkAttaches a registered domain to either a serverless function (function_id) or a VM service (vm_id + vm_port). The domain must not already be linked; unlink first.
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Path Parameters
domain*string
Domain name
Request Body
application/json
Link target
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/domains/string/link" \ -H "Content-Type: application/json" \ -d '{}'{ "domain": "string", "external_url": "string", "message": "string", "service_id": "string", "verification_status": "pending"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "current_target": "string", "error": "string", "message": "string"}